Subject: Re: [bfcpbis] Review of draft-ietf-bfcpbis-bfcp-websocket-04

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 12 Oct 2015 21:52:42 +0000

Any update on this?
I have requested and been assigned a slot for bfcpbis on Monday of IETF 95. Would it be helpful so have some time to discuss these drafts?
As both drafts have expired, I think it is best to publish updates to both drafts, request comments, and schedule time to discuss on Monday if necessary.

Cheers,
Charles

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 20, 2015 at 10:33 PM
To: Charles Eckel <[email-masked]<mailto:[email-masked]>>
Cc: Christer Holmberg <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Ram Mohan R (rmohanr)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bfcpbis] Review of draft-ietf-bfcpbis-bfcp-websocket-04

@Charles - Ram and I are working on the updated version and hope to publish it very soon. One additional request below.

@Christer - It would be helpful to get your review of the complementary draft you requested (draft-ram-bfcpbis-sdp-ws-uri-00<https://tools.ietf.org/html/draft-ram-bfcpbis-sdp-ws-uri-00>). That way we can update both at the same time. Let us know if this is something forthcoming.

Thanks,

Gonzalo

On Aug 20, 2015, at 5:05 PM, Charles Eckel (eckelcu) <[email-masked]<mailto:[email-masked]>> wrote:

Christer,

Thanks for the review and comments.

Draft authors, when can we expect responses to Christer's comments, and/or a corresponding update to the draft?

Cheers,
Charles

From: bfcpbis <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Thursday, July 2, 2015 at 11:12 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bfcpbis] Review of draft-ietf-bfcpbis-bfcp-websocket-04

Hi,

Below is my review of draft-ietf-bfcpbis-bfcp-websocket-04.

In general, things look good, and my comments should be mostly editorial. Also, my previous comments on the draft have been addressed. Thanks forthat!

Q1: There are a few abbreviations (TLS, HTTP etc) that are not expanded on first occurrence. I didn't check whether they are considered well knowndouble check.

Q2: I think the last paragraph of section 1, talking about not preventing other mechanisms, can be removed completely.

(I think I previously had the same comment on the draft - or maybe it was another WebSocket sub-protocol draft)

Q3: Section one says "since WebSocket is a reliable transport". Perhaps "provides a reliable transport" would be better?

Q4: Section 5 says "WebSocket [RFC6455] is a reliable protocol". I don't know what "reliable protocol" means, but I assume this text should also talkabout providing reliable transport.

Q5: In section 6.1, there should be a reference for the 'setup' attribute. Also, when talking about SDP attributes, I'd suggest to explicitly say"SDP setup attribute", or something similar.

Q6: The introduction says that the draft updates rfc4582bis and rfc4583bis. I think it would be good to have two explicit "Updates to RFCXXXX" sectionsto list exactly what those updates are.

Q7: Just to check: are the new SDP m- line proto values aligned with the naming approach that has taken place in MMUSIC?

Regards,

Christer

_______________________________________________
bfcpbis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Mon, 12 Oct 2015 22:25:46 +0000

Hi Charles - 

We have sent the latest version of BFCPoWS draft (draft-ietf-bfcpbis-bfcp-websocket-05) and diffs addressing Christer’s comments.  We are awaiting his confirmation that these changes look ok.  Once that is done we are ready to publish the drafts.  I’ve attached the draft and diffs here again, in case they are needed.  This includes a request to review the complementary draft he requested (draft-ram-bfcpbis-sdp-ws-uri-00) be split off from the original document.

As far as the authors are concerned there are currently no open issues.  Not sure a discussion of these drafts is necessary, but we are happy to discuss them in any capacity the WG deems necessary.

Cheers,

Gonzalo

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 13 Oct 2015 09:56:48 +0000

Hi,

I am sorry that I didn't reply earlier.

Based on the diff, the changes look fine.

Regards,

Christer

-----Original Message-----
From: Gonzalo Salgueiro (gsalguei) [mailto:[email-masked]] 
Sent: 13. lokakuuta 2015 1:26
To: Charles Eckel (eckelcu)
Cc: Christer Holmberg; [email-masked]; [email-masked]; Ram Mohan R (rmohanr)
Subject: Re: [bfcpbis] Review of draft-ietf-bfcpbis-bfcp-websocket-04

Hi Charles - 

Cheers,

Gonzalo